Create

Creates a new customer account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Body Definitions

NameTypeDescriptionExample
merchantstringMerchant ID"275dbe1d77f34aca968fb75a8dbb4c82"
merchant_user_idstringMerchant User ID"TEST"
session_idstringSession ID, obtained from og_session_id cookie"5bda04dc429d11e4bd78bc764e106cf4.463053.1418160308"
user_token_idstringUser Token ID"bda1c6b0084811e6965ebc764e106cf4"
first_namestringCustomer first name"John"
last_namestringCustomer last name"Doe"
emailstringCustomer email"[email protected]"
phone_numberstringCustomer phone number"+15551231234"
phone_typestringCustomer phone type.
Options: "invalid", "landline", "mobile", "voip"
"landline"
livebooleanAccount status: active = 'True'True
createdstringDate of customer account creation"2017-02-29 12:00:00"
last_updatedstringDate of most recent customer account update"2017-02-29 12:00:00"
last_loginstringDate of most recent customer login"2017-02-29 12:00:00"
extra_datastringRaw JSON string that should be JSON.parse() as key/value store for any extra information"{"some": "extra", "fields": "here"}"
localeintegerCustomer locale code42
experiencesstringRaw JSON string that should be JSON.parse() as key/value store for experiences set to true or false."{"reorder": true, "subscription-management": false}"
Body Params
string
required

Merchant ID

string
required

Merchant User ID

string
required

Session ID, obtained from og_session_id cookie.

string
required

User Token ID

string
required

Customer first name

string
required

Customer last name

string
required

Customer email

string
required

Customer phone number

string
required

Customer phone type: "invalid", "landline", "mobile", or "voip"

boolean
required

Account status: active = True

string
required

Date of account creation

string
required

Date of last customer account update

string
required

Date of last customer account login

string

Raw JSON string that should be JSON.parse() as key/value store for any extra information.

int32
required

Customer locale code

string

Experience name and Boolean value as key/value store, formatted as raw JSON string, to be JSON.parse() on retrieval

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json